com.h3c.of.lib.err

## Enum ECodeGroupModFailed

- java.lang.Object
- - java.lang.Enum<ECodeGroupModFailed>
  - - com.h3c.of.lib.err.ECodeGroupModFailed

- All Implemented Interfaces:
    ErrorCode, OfpCodeBasedEnum, OfpEnum, Serializable, Comparable<ECodeGroupModFailed>

      public enum ECodeGroupModFailed
      extends Enum<ECodeGroupModFailed>
      implements ErrorCode

  Designates the error codes associated with the `ErrorType.GROUP_MOD_FAILED` error type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BAD_BUCKET` Error in bucket; Since 1.2.
    `BAD_COMMAND` Unsupported or unknown command; Since 1.2.
    `BAD_TYPE` Unsupported or unknown group type; Since 1.2.
    `BAD_WATCH` Error in Watch-Port or Watch-Group; Since 1.2.
    `CHAINED_GROUP` Group not deleted because another group is forwarding to it; Since 1.2.
    `CHAINING_UNSUPPORTED` Switch does not support groups that forward to groups; Since 1.1.
    `EPERM` Permissions error; Since 1.2.
    `GROUP_EXISTS` Group not added because a group ADD attempted to replace an already-present group; Since 1.1.
    `INVALID_GROUP` Group not added because the group specified is invalid; Since 1.1.
    `LOOP` Group entry would cause a loop; Since 1.1.
    `OUT_OF_BUCKETS` The maximum number of action buckets for a group has been exceeded; Since 1.1.
    `OUT_OF_GROUPS` The group table is full; Since 1.1.
    `UNKNOWN_GROUP` Group not modified because a group MODIFY attempted to modify a non-existent group; Since 1.1.
    `WATCH_UNSUPPORTED` This group cannot watch the Watch-Port or Watch-Group specified; Since 1.1.
    `WEIGHT_UNSUPPORTED` Switch does not support unequal load sharing with select groups; Since 1.1.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode(ProtocolVersion pv)` Returns the code for the constant, under the given protocol version.
    `ErrorType` | `parentType()` Returns the parent error type for this error code.
    `static void` | `validate(ECodeGroupModFailed code, ProtocolVersion pv)` Validates the given error code against the specified protocol version, silently returning if all is well, throwing an exception otherwise.
    `static ECodeGroupModFailed` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ECodeGroupModFailed[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GROUP_EXISTS

          public static final ECodeGroupModFailed GROUP_EXISTS

      Group not added because a group ADD attempted to replace an already-present group; Since 1.1.

    - #### INVALID_GROUP

          public static final ECodeGroupModFailed INVALID_GROUP

      Group not added because the group specified is invalid; Since 1.1.

    - #### WEIGHT_UNSUPPORTED

          public static final ECodeGroupModFailed WEIGHT_UNSUPPORTED

      Switch does not support unequal load sharing with select groups; Since 1.1.

    - #### OUT_OF_GROUPS

          public static final ECodeGroupModFailed OUT_OF_GROUPS

      The group table is full; Since 1.1.

    - #### OUT_OF_BUCKETS

          public static final ECodeGroupModFailed OUT_OF_BUCKETS

      The maximum number of action buckets for a group has been exceeded; Since 1.1.

    - #### CHAINING_UNSUPPORTED

          public static final ECodeGroupModFailed CHAINING_UNSUPPORTED

      Switch does not support groups that forward to groups; Since 1.1.

    - #### WATCH_UNSUPPORTED

          public static final ECodeGroupModFailed WATCH_UNSUPPORTED

      This group cannot watch the Watch-Port or Watch-Group specified; Since 1.1.

    - #### LOOP

          public static final ECodeGroupModFailed LOOP

      Group entry would cause a loop; Since 1.1.

    - #### UNKNOWN_GROUP

          public static final ECodeGroupModFailed UNKNOWN_GROUP

      Group not modified because a group MODIFY attempted to modify a non-existent group; Since 1.1.

    - #### CHAINED_GROUP

          public static final ECodeGroupModFailed CHAINED_GROUP

      Group not deleted because another group is forwarding to it; Since 1.2.

    - #### BAD_TYPE

          public static final ECodeGroupModFailed BAD_TYPE

      Unsupported or unknown group type; Since 1.2.

    - #### BAD_COMMAND

          public static final ECodeGroupModFailed BAD_COMMAND

      Unsupported or unknown command; Since 1.2.

    - #### BAD_BUCKET

          public static final ECodeGroupModFailed BAD_BUCKET

      Error in bucket; Since 1.2.

    - #### BAD_WATCH

          public static final ECodeGroupModFailed BAD_WATCH

      Error in Watch-Port or Watch-Group; Since 1.2.

    - #### EPERM

          public static final ECodeGroupModFailed EPERM

      Permissions error; Since 1.2.

  - ### Method Detail

    - #### values

          public static ECodeGroupModFailed[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ECodeGroupModFailed c : ECodeGroupModFailed.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ECodeGroupModFailed valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### parentType

          public ErrorType parentType()

      Description copied from interface: `ErrorCode`
      Returns the parent error type for this error code.
      Specified by:
        `parentType` in interface `ErrorCode`
      Returns:
        the parent error type

    - #### getCode

          public int getCode(ProtocolVersion pv)

      Description copied from interface: `OfpCodeBasedEnum`
      Returns the code for the constant, under the given protocol version.
      Specified by:
        `getCode` in interface `OfpCodeBasedEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the code for the constant

    - #### validate

          public static void validate(ECodeGroupModFailed code,
                      ProtocolVersion pv)

      Validates the given error code against the specified protocol version, silently returning if all is well, throwing an exception otherwise.
      Parameters:
        `code` - the code
        `pv` - the protocol version
      Throws:
        `VersionMismatchException` - if the code is not defined in the given protocol version

Copyright © 2014. All Rights Reserved.